| Home | Libraries | People | FAQ | More

# boost::asio::ip::basic_resolver_iterator< Protocol > Class Template Reference

List of all members.

## Detailed Description

### template<typename Protocol>
class boost::asio::ip::basic_resolver_iterator< Protocol >

An iterator over the entries produced by a resolver.

The boost::asio::ip::basic_resolver_iterator class template is used to define iterators over the results returned by a resolver.

The iterator's value_type, obtained when the iterator is dereferenced, is:

     const basic_resolver_entry<Protocol>

Thread Safety:
  Distinct objects: Safe.
  Shared objects: Unsafe.

## Public Member Functions

| basic_resolver_iterator ()
| Default constructor creates an end iterator.

## Static Public Member Functions

static basic_resolver_iterator | create (boost::asio::detail::addrinfo_type *address_info, const std::string &host_name, const std::string &service_name)
| Create an iterator from an addrinfo list returned by getaddrinfo.
static basic_resolver_iterator | create (const typename Protocol::endpoint &endpoint, const std::string &host_name, const std::string &service_name)
| Create an iterator from an endpoint, host name and service name.

## Constructor & Destructor Documentation

template<typename Protocol>

boost::asio::ip::basic_resolver_iterator< Protocol >::basic_resolver_iterator | ( |  | ) |

Default constructor creates an end iterator.

## Member Function Documentation

template<typename Protocol>

static basic_resolver_iterator boost::asio::ip::basic_resolver_iterator< Protocol >::create | ( | boost::asio::detail::addrinfo_type * | address_info,
|  | const std::string & | host_name,
|  | const std::string & | service_name |
| ) |  |  | `[static]`

Create an iterator from an addrinfo list returned by getaddrinfo.

template<typename Protocol>

static basic_resolver_iterator boost::asio::ip::basic_resolver_iterator< Protocol >::create | ( | const typename Protocol::endpoint & | endpoint,
|  | const std::string & | host_name,
|  | const std::string & | service_name |
| ) |  |  | `[static]`

Create an iterator from an endpoint, host name and service name.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff